#ifndef	_SDKFSCF_H
#define	_SDKFSCF_H

#ifndef	_SDKFS_H
#	include	"sdkfs.h"
#endif

#define	FSDSP_FNUM	(12)
#define	FSDLG_XS	(2+2+(2+6+2)*13+2+2)
#define	FSDLG_YS	(2+ 16+2+(2+14+2+14+2)+1+(2+FSDSP_FNUM*12+2)+2+12+2 +2)
/*	138~222 */

#define	FSEV_CHDRV	(0x7FFF_0001)
#define	FSEV_FLUSH	(0x7FFF_0002)
#define	FSEV_EXIT	(0x7FFF_0009)
#define	FSEV_END	(0x7FFF_0000)	/* I	*/

#define	FSCOL_HIL	(SiScn->layerCrt->col.white)
#define	FSCOL_SHA	(SiScn->layerCrt->col.dark)

#define	FSERR_UNREAD	(-1)
#define	FSERR_NOERR		(0)
#define	FSERR_DRIVE		(1)
#define	FSERR_FILE		(2)
#define	FSERR_MEMORY	(3)

extern void		FileSel_clearFndat( FILESEL_T *fs );
extern int		FileSel_changedir( FILESEL_T *fs );
extern void		FileSel_sort( FILESEL_T *fs );

extern void		FileSel_dspFndat( FILESEL_T *fs, int pos );
extern void		FileSel_dspFnbuf( FILESEL_T *fs );
extern void		fsFunc_dlgdsp( BLKDLG_T *dlg );

extern void		FileSel_dspDrv( FILESEL_T *fs );

extern int		fsEvFunc_exit( int evNo, EVDAT_T *evdat );
extern int		fsEvFunc_rightMenu( int evNo, EVDAT_T *evdat );
extern int		fsFunc_sbar( int evNo, SB_T *sb );
extern int		fsEvFunc_chdrv( int drv, EVDAT_T *evdat );
extern int		fsEvFunc_file( int pos, EVDAT_T *evdat );
extern int		fsEvFunc_exec( int evNo, EVDAT_T *evdat );

extern int		FileSel_menu( FILESEL_T *fs );

#endif
